Solved Error on Spigot 1.8.8

Discussion in 'Spigot Help' started by JoeyPlayzTV, Jul 15, 2019.

  1. I have the Following error in my Console

    Code (Text):
     Spieler • soos_snens » wieviel sind enderperlen wert
    [11:03:51 FATAL]: Error executing task
    java.util.concurrent.ExecutionException: java.lang.IndexOutOfBoundsException: Index: 53, Size: 45
            at java.util.concurrent.FutureTask.report(FutureTask.java:122) ~[?:1.8.0_171]
            at java.util.concurrent.FutureTask.get(FutureTask.java:192) ~[?:1.8.0_171]
            at net.minecraft.server.v1_8_R3.SystemUtils.a(SourceFile:45) [spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:715) [spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:374) [spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654) [spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557) [spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at java.lang.Thread.run(Thread.java:748) [?:1.8.0_171]
    Caused by: java.lang.IndexOutOfBoundsException: Index: 53, Size: 45
            at java.util.ArrayList.rangeCheck(ArrayList.java:657) ~[?:1.8.0_171]
            at java.util.ArrayList.get(ArrayList.java:433) ~[?:1.8.0_171]
            at net.minecraft.server.v1_8_R3.Container.getSlot(Container.java:109) ~[spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:1668) ~[spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at net.minecraft.server.v1_8_R3.PacketPlayInWindowClick.a(SourceFile:31) ~[spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at net.minecraft.server.v1_8_R3.PacketPlayInWindowClick.a(SourceFile:9) ~[spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) ~[spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) ~[?:1.8.0_171]
            at java.util.concurrent.FutureTask.run(FutureTask.java:266) ~[?:1.8.0_171]
            at net.minecraft.server.v1_8_R3.SystemUtils.a(SourceFile:44) ~[spigot-cb1.jar:git-Spigot-21fe707-e1ebe52]
            ... 5 more
     

    But it is not a Plugin Error :( Can someone give me more Informations about this error?
     
  2. Looks like a player trying to put something in a GUI slot which doesn't exist?

    Are you using any form of protocol support?
     
  3. Thanks :) Yes iam using Protocol Lib
     
  4. Report it to ViaVersion
     
  5. Thanks for the Informations. :) I will report this
     
  6. Hello, I am getting this error, how did you solve it?
     
  7. Its from ViaVersion or Protocol lib. Use the right version for your server. And try to update your plugins.
     
  8. Protocol lib and viaversion are up to date, but I'm using 1.8.8 paper, viaversion warns when starting the server, it says it's not supported, which version should I use?
     
  9. For me, i see no sense in this hacky viaversion. Dont use it. Only allow clients with a version matching your servers one.